cupstestppd(1)

NOM
cupstestdsc - Tester la conformité des fichiers ppd (obsolète)

SYNOPSIS
cupstestppd [-I catégorie[ -R rép_racine ] [ -W catégorie ] [ -q ] [-r] [ -v[v] ] nom_fichier.ppd[.gz] [ ... nom_fichier.ppd[.gz] ]
cupstestppd [ -R rép_racine ] [ -W catégorie ] [ -q ] [-r] [ -v[v] ] -

DESCRIPTION
cupstestppd teste la conformité des fichiers PPD à la spécification de format de fichier édictée par Adobe, « Adobe PostScript Printer Description » dans sa version 4.3. Cette commande peut également être utilisée pour voir la liste des options reconnues et des polices disponibles d'un fichier PPD. Toutes les sorties sont effectuées sur la sortie standard.

Le premier mode d'appel de cupstestppd teste un ou plusieurs fichiers PPD fournis sur la ligne de commande. Le second mode d'appel teste le fichier PPD fourni sur l'entrée standard.

OPTIONS
cupstestppd accepte les options suivantes :

-I nom_fichier
    Ignorer tous les avertissements PCFileName.

-I filtres
    Ignorer toutes les erreurs sur les filtres.

-I profils
    Ignorer toutes les erreurs de profil.

-R rép_racine
    Définir un autre répertoire racine pour vérifications de filtre, pré-filtre et autres fichiers pris en charge.

-W constraints
    Signaler toutes les erreurs UIConstraint comme des avertissements.

-W defaults
    À l'exception des options liées à la taille, signaler toutes les erreurs sur les options par défaut comme des avertissements.

-W filters
    Rapporter toutes les erreurs sur les filtres comme des avertissements.

-W profiles
    Rapporter toutes les erreurs sur les profils comme des avertissements.

-W sizes
    Rapporter toutes les erreurs sur la taille des médias comme des avertissements.

-W translations
    Rapporter toutes les erreurs de conversion comme des avertissements.

-W all
    Rapporter toutes les erreurs précédentes comme des avertissements.

-W none
    Rapporter toutes les erreurs précédentes comme des erreurs.

-q  Ne pas afficher d’information.

-r  Réduire les exigences de conformité des PPD de telle sorte que les espaces simples, les caractères de contrôle et les problèmes de format ne soient pas traités comme des erreurs fatales.

-v  Demander l'affichage des résultats détaillés des tests de conformité au lieu des états concis PASS/FAIL/ERROR.

-vv Afficher toutes les informations d'un fichier PPD en plus des résultats détaillés des tests de conformité.

Les options -q, -v et -vv sont mutuellement exclusives.

CODE DE RETOUR
cupstestppd renvoie 0 en cas de réussite aux tests et une valeur différente de 0 en cas d’erreur. Les codes d'erreur sont les suivants :

1   Paramètres de la ligne de commandes incorrects ou nom de fichier PPD manquant.

2   Impossible d'ouvrir ou de lire le fichier PPD.

3   Le fichier PPD contient des erreurs de format ne pouvant être ignorées.

4   Le fichier PPD n'est pas conforme à la spécification Adobe.

EXEMPLES
La commande suivante teste tous les fichiers PPD du répertoire courant et affiche le nom de ceux qui ne sont pas conformes :

    find . -name \*.ppd \! -exec cupstestppd -q '{}' \; -print

La commande suivante teste tous les fichiers PPD du répertoire courant et affiche les résultats détaillés des tests de conformité pour les fichiers qui ne sont pas conformes :

    find . -name \*.ppd \! -exec cupstestppd -q '{}' \; \
        -exec cupstestppd -v '{}' \;

NOTES
Les fichiers PPD sont obsolètes et ne seront plus gérés dans une future version de CUPS. Les imprimantes ne gérant pas IPP peuvent être gérées avec des applications telles que ippeveprinter(1).

VOIR AUSSI
lpadmin(8), aide en ligne de CUPS <URL:http://localhost:631/help>, Adobe PostScript Printer Description File Format Specification, Version 4.3.

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.